View Issue Details

IDProjectCategoryView StatusLast Update
0001963SymmetricDSBugpublic2014-09-17 18:01
Reporterchenson Assigned Tochenson  
Prioritynormal 
Status closedResolutionfixed 
Product Version3.6.7 
Target Version3.6.8Fixed in Version3.6.8 
Summary0001963: Memory issue on nontransactional channel during routing
DescriptionAll data being routed is read into memory when channel is set to nontransactional
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 9a80538c

2014-09-11 11:54:01

chenson

Details Diff
0001963: Memory issue on nontransactional channel during routing Affected Issues
0001963
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/ChannelRouterContext.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/DataGapRouteReader.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/DefaultBatchAlgorithm.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/NonTransactionalBatchAlgorithm.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/TransactionalBatchAlgorithm.java Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/route/DataGapRouteReaderTest.java Diff File

Issue History

Date Modified Username Field Change
2014-09-11 11:53 chenson New Issue
2014-09-11 11:53 chenson Status new => assigned
2014-09-11 11:53 chenson Assigned To => chenson
2014-09-11 12:00 chenson Changeset attached => SymmetricDS 3.6 r8680
2014-09-11 12:37 chenson Status assigned => resolved
2014-09-11 12:37 chenson Fixed in Version => 3.6.8
2014-09-11 12:37 chenson Resolution open => fixed
2014-09-17 18:01 chenson Status resolved => closed
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 9a80538c